Supported Red Hat OpenShift Container Platform versions

IBM Cloud Pak for Watson AIOps supports and recommends installing on a supported Red Hat® OpenShift® Container Platform EUS minor version for the duration of its support period. IBM Cloud Pak for Watson AIOps adheres to the IBM Cloud Pak for Watson AIOps and Red Hat OpenShift version compatibility objective. For more information about this objective, see IBM Cloud Pak and Red Hat OpenShift version compatibility objective.

For more information about the support for Red Hat OpenShift versions, see Red Hat OpenShift Container Platform Life Cycle Policy Opens in a new tab.

Notes:

  • The hardware architecture for installing IBM Cloud Pak for Watson AIOps must be AMD64.
  • If you are planning to upgrade to Red Hat OpenShift 4.12 (minimum 4.12.50) as part of an upgrade to IBM Cloud Pak for Watson AIOps 4.1.1, you must complete the IBM Cloud Pak for Watson AIOps upgrade before you upgrade to Red Hat OpenShift 4.12 (minimum 4.12.50).
Supported OpenShift versions
Platform Supported Red Hat OpenShift Container Platform EUS version
IBM Cloud Pak for Watson AIOps Linux x86_64 4.10 (minimum 4.10.46), 4.12 (minimum 4.12.50)
Infrastructure Automation (Installed with IBM Cloud Pak for Watson AIOps) Linux x86_64 4.10 (minimum 4.10.46), 4.12 (minimum 4.12.50)
Infrastructure Automation (Installed stand-alone) Linux on Power (ppc64le)
Linux® on IBM Z® and LinuxONE (s390x)
4.10 (minimum 4.10.46), 4.12 (minimum 4.12.50)